Bug 98582 - CPU usage stats are extremely erratic
CPU usage stats are extremely erratic
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-03 18:42 EDT by Mike Kistler
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Kistler 2003-07-03 18:42:56 EDT
Description of problem:

CPU usage stats reported in /proc/stat are very erratic.  When running
steady workload against the system, CPU usage varies between 6% and 100%.

Version-Release number of selected component (if applicable):

kernel-2.4.20-18.8

How reproducible:

Run some steady workload and monitor CPU usage with sar or /proc/stat.

Steps to Reproduce:
1.
2.
3.
    
Actual results:

With 2.4.20-18.8 kernel:

[root@arlx077 root]# sar -u 1 0
Linux 2.4.20-18.8 (arlx077.austin.ibm.com)      07/03/2003

02:42:23 PM       CPU     %user     %nice   %system     %idle
02:42:24 PM       all      0.00      0.00      0.00    100.00
02:42:25 PM       all      0.00      0.00      0.00    100.00
02:42:26 PM       all      0.00      0.00      0.00    100.00
02:42:27 PM       all     13.00      0.00     19.00     68.00
02:42:28 PM       all      7.00      0.00     10.00     83.00
02:42:29 PM       all      0.00      0.00     10.00     90.00
02:42:30 PM       all      0.00      0.00     22.00     78.00
02:42:31 PM       all      0.00      0.00     24.00     76.00
02:42:32 PM       all      0.00      0.00     12.00     88.00
02:42:33 PM       all      3.00      0.00     13.00     84.00
02:42:34 PM       all     17.00      0.00     20.00     63.00
02:42:35 PM       all     27.00      0.00     42.00     31.00
02:42:36 PM       all     56.00      0.00     42.00      2.00
02:42:37 PM       all     72.00      0.00     26.00      2.00
02:42:38 PM       all     57.00      0.00     42.00      1.00
02:42:39 PM       all     35.00      0.00     52.00     13.00
02:42:40 PM       all     19.00      0.00     38.00     43.00
02:42:41 PM       all     12.00      0.00     16.00     72.00
02:42:42 PM       all      2.00      0.00      4.00     94.00
02:42:43 PM       all      0.00      0.00     20.00     80.00
02:42:44 PM       all      0.00      0.00     29.00     71.00
02:42:45 PM       all      0.00      0.00     10.00     90.00
02:42:46 PM       all      0.00      0.00      9.00     91.00
02:42:47 PM       all     11.00      0.00     14.00     75.00
02:42:48 PM       all     28.00      0.00     34.00     38.00
02:42:49 PM       all     52.00      0.00     43.00      5.00
02:42:50 PM       all     67.00      0.00     33.00      0.00
02:42:51 PM       all     56.00      0.00     44.00      0.00
02:42:52 PM       all     33.00      0.00     61.00      6.00
02:42:53 PM       all     18.00      0.00     49.00     33.00
02:42:54 PM       all      9.00      0.00     22.00     69.00
02:42:55 PM       all      1.00      0.00      2.00     97.00
02:42:56 PM       all      1.00      0.00     16.00     83.00
02:42:57 PM       all      0.00      0.00     10.00     90.00

Expected results:

With 2.4.18-14 kernel:

[root@arlx077 root]# sar -u 1 0
Linux 2.4.18-14 (arlx077.austin.ibm.com)        07/03/2003

02:55:15 PM       CPU     %user     %nice   %system     %idle
02:55:16 PM       all      0.00      0.00      0.00    100.00
02:55:17 PM       all      0.00      0.00      0.00    100.00
02:55:18 PM       all      0.00      0.00      0.00    100.00
02:55:19 PM       all     22.00      0.00     25.00     53.00
02:55:20 PM       all     21.00      0.00     24.00     55.00
02:55:21 PM       all     25.00      0.00     25.00     50.00
02:55:22 PM       all     20.00      0.00     26.00     54.00
02:55:23 PM       all     22.00      0.00     24.00     54.00
02:55:24 PM       all     22.00      0.00     25.00     53.00
02:55:25 PM       all     23.00      0.00     25.00     52.00
02:55:26 PM       all     24.00      0.00     25.00     51.00
02:55:27 PM       all     23.00      0.00     26.00     51.00
02:55:28 PM       all     23.00      0.00     24.00     53.00
02:55:29 PM       all     21.00      0.00     27.00     52.00
02:55:30 PM       all     23.00      0.00     26.00     51.00
02:55:31 PM       all     24.00      0.00     25.00     51.00
02:55:32 PM       all     22.00      0.00     23.00     55.00
02:55:33 PM       all     24.00      0.00     25.00     51.00
02:55:34 PM       all     20.00      0.00     25.00     55.00
02:55:35 PM       all     22.00      0.00     23.00     55.00
02:55:36 PM       all     22.00      0.00     26.00     52.00
02:55:37 PM       all     20.00      0.00     28.00     52.00

Additional info:

The only difference between the results shown for the 2.4.20-18.8 kernel
and the results for the 2.4.18-14 kernel was the kernel image.  Both results
come from the same machine with the same basic system install (RH8.0), just
different kernel images.
Comment 1 Mike Kistler 2003-07-03 18:46:18 EDT
In case this is helpful ...

[root@arlx077 root]# cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Pentium(R) 4 CPU 2.40GHz
stepping        : 4
cpu MHz         : 2390.150
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm
bogomips        : 4750.85

[root@arlx077 root]#
Comment 2 Bugzilla owner 2004-09-30 11:41:15 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.